#!/usr/bin/python3
# Copyright 2024 Tero Karvinen https://TeroKarvinen.com

from datetime import datetime
from dateutil.relativedelta import relativedelta

start = datetime(1700, 1, 1)
end = datetime(2400, 1, 1)

day = start

while day <= end:
	# "%W" is not ISO8601 week, as it includes week zero (0). 
	# Correct ISO8601 week is "%V", https://bugs.python.org/issue12006 fixed in 2015. 
	print(day.strftime("%Y-%m-%d w%V %a"))
	day += relativedelta(days=+1)

